"{ Package: 'jn:refactoring_custom' }"

CustomTestCaseCodeGenerator subclass:#CustomSimpleTestCaseCodeGenerator
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom'
!

!CustomSimpleTestCaseCodeGenerator class methodsFor:'accessing-presentation'!

description
    ^ 'Generates TestCase subclass for selected classes'

    "Modified: / 27-04-2014 / 11:03:05 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

label
    ^ 'TestCase class'

    "Modified: / 27-04-2014 / 10:46:01 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomSimpleTestCaseCodeGenerator methodsFor:'executing'!

buildForClass: aClass testClass: aTestClass

    builder
        class: aTestClass;

        protocol: 'tests';
        source: ('test_something
                    self assert: ''a'' = ''b''');
        createMethod;

        protocol: 'initialization & release';
        source: ('setUp
                    ^ self');
        createMethod;

        source: ('tearDown
                    ^ self');
        createMethod

    "Created: / 13-06-2014 / 09:28:04 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

