"{ Package: 'jn:refactoring_custom' }"

CustomCodeGenerator subclass:#CustomTestCaseCodeGenerator
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom'
!


!CustomTestCaseCodeGenerator class methodsFor:'queries'!

availableInContext:aCustomContext 
    ^aCustomContext selectedClasses notEmptyOrNil
!

availableInPerspective:aCustomPerspective 
    ^aCustomPerspective isClassPerspective
! !

!CustomTestCaseCodeGenerator class methodsFor:'testing'!

isAbstract
    ^ self == CustomTestCaseCodeGenerator
! !

!CustomTestCaseCodeGenerator methodsFor:'executing'!

buildForClass: aClass testClass: aTestClass
    "Here should be building methods for testclass, altering test class..."

    self subclassResponsibility

    "Created: / 13-06-2014 / 09:28:17 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

buildInContext:aCustomContext 

    aCustomContext selectedClasses do: [ :class |
        | className testClassName |

        className := class theNonMetaClass name.

        (className endsWith: 'Tests') ifFalse: [
            | testClass |

            testClassName := className, 'Tests'.

            testClass := builder createClass.
            testClass
                className: testClassName;
                superclassName: 'TestCase';
                category: (class category, '-Tests').

            self buildForClass: class testClass: testClass  
        ]
    ]

    "Modified: / 05-07-2014 / 12:27:11 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomTestCaseCodeGenerator class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

