"{ Package: 'jn:refactoring_custom' }"

CustomVisitorCodeGenerator subclass:#CustomVisitorCodeGeneratorAcceptVisitor
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom'
!

!CustomVisitorCodeGeneratorAcceptVisitor class methodsFor:'accessing'!

description
    ^ 'Generate method for visitor pattern - acceptVisitor'.

    "Created: / 09-03-2014 / 20:38:19 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

label
    ^ 'Visitor Method'.

    "Created: / 09-03-2014 / 20:38:57 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomVisitorCodeGeneratorAcceptVisitor class methodsFor:'queries'!

isAbstract

    ^ false.

    "Created: / 09-03-2014 / 20:37:27 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomVisitorCodeGeneratorAcceptVisitor methodsFor:'executing'!

buildInContext:aCustomContext
    "generate acceptVisitor method"


    self buildAcceptVisitorMethod:'sel:' withParameter: false

    "Created: / 19-03-2014 / 18:32:50 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
    "Modified: / 23-03-2014 / 21:44:34 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

