"{ Package: 'jn:refactoring_custom' }"

Object subclass:#CustomMenuBuilder
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom-UI'
!

!CustomMenuBuilder class methodsFor:'building'!

buildMenuForContext:context 
    | menu  generatorsAndRefactorings |

    menu := Menu new.
    generatorsAndRefactorings := CustomManager current 
            generatorsAndRefactoringsForPerspective:context perspective.
    generatorsAndRefactorings sort:[:a :b | a label < b label ].
    generatorsAndRefactorings do:[:each | 
        | item |

        item := MenuItem label:each label
                itemValue:[ each executeInContext:context ].
        item enabled:[ each availableInContext:context ].
        menu addItem:item.
    ].
    ^ menu

    "Created: / 26-01-2014 / 23:32:46 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 19-03-2014 / 18:26:31 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

