"{ Package: 'jn:refactoring_custom' }"

Object subclass:#CustomPerspective
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom'
!

CustomPerspective class instanceVariableNames:'theOneAndOnlyInstance'

"
 No other class instance variables are inherited by this class.
"
!

CustomPerspective subclass:#Class
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	privateIn:CustomPerspective
!

CustomPerspective subclass:#InstanceVariable
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	privateIn:CustomPerspective
!


!CustomPerspective class methodsFor:'instance creation'!

flushSingleton
    "flushes the cached singleton"

    theOneAndOnlyInstance := nil

    "
     self flushSingleton
    "
!

instance
    "returns a singleton"

    theOneAndOnlyInstance isNil ifTrue:[
        theOneAndOnlyInstance := self basicNew initialize.
    ].
    ^ theOneAndOnlyInstance.

    "Created: / 26-01-2014 / 10:57:44 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

new
    "returns a singleton"

    ^ self instance.

    "Modified: / 26-01-2014 / 10:57:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomPerspective class methodsFor:'accessing'!

classPerspective
    ^ CustomPerspective::Class instance

    "Created: / 26-01-2014 / 10:59:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

instanceVariablePerspective
    ^ CustomPerspective::InstanceVariable instance

    "Created: / 26-01-2014 / 11:00:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomPerspective class methodsFor:'testing'!

isAbstract
    ^ self == CustomPerspective

    "Created: / 26-01-2014 / 10:58:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomPerspective methodsFor:'testing'!

isClassPerspective
    ^ false

    "Created: / 26-01-2014 / 13:10:06 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

isInstanceVariablePerspective
    ^ false

    "Created: / 26-01-2014 / 13:10:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomPerspective::Class methodsFor:'testing'!

isClassPerspective
    ^ true

    "Created: / 26-01-2014 / 13:10:20 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomPerspective::InstanceVariable methodsFor:'testing'!

isInstanceVariablePerspective
    ^ true

    "Created: / 26-01-2014 / 13:10:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!CustomPerspective class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

