"{ Package: 'jn:refactoring_custom' }"

CustomDialog subclass:#CustomUserDialog
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom'
!

!CustomUserDialog class methodsFor:'documentation'!

documentation
"
    CustomDialog implementation with real dialogs to provide human interaction.

    [author:]
        Jakub Nesveda <nesvejak@fit.cvut.cz>

"
! !

!CustomUserDialog methodsFor:'dialogs'!

requestClassName:aString initialAnswer:anInitialAswer

    | className |

    className := Dialog 
                    requestClassName: aString 
                    initialAnswer: anInitialAswer.   

    className isNil ifTrue:[ 
        AbortOperationRequest raise.
    ].

    ^ className

    "Created: / 02-06-2014 / 22:34:24 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomUserDialog methodsFor:'user interaction & notifications'!

information: aString

    ^ self information: aString

    "Created: / 02-06-2014 / 22:36:58 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

